#!/bin/bash
# Ruta del archivo de registro de eventos
LOG="efnmailer.log"
LOGe="efnmailer_envio.log"
# Cambiamos permisos del archivo de log
chmod 777 efnmailer_envio.log
# Definimos variable que tendra el contador de los registros para depurar
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: =================INICIO==================" >> $LOG
echo "`date '+%Y-%m-%d %H:%M:%S'`: 1 El codigo de plantilla recibido es $1" >> $LOG
# Establecemos el usuario de la db
usu="root"
# Establecemos la contraseña de la db
cont="usu4r1o_mysq1_3ff1n3t"
#Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 2 .........EVALUACION MASIVO SIMPLE" >> $LOG
# Realizamos un if que evalua si el correo se trata de uno simple o de un masivo
if [[ $1 -eq "1" ]]
then
 #Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 3 Modo envio Simple" >> $LOG
	smtp-cli --verbose --host 192.168.1.222 --port 587 --user servicioalcliente@effinet.com.pe --pass ENS754B6R! --from "prosol<servicioalcliente@effinet.com.pe>" --to "<$2>" --subject "$3" --body-plain "$4" | grep "235"
	exit
elif [[ $2 -eq "2" ]]
then
 #Activar para depurar
 echo "`date '+%Y-%m-%d %H:%M:%S'`: 4 Modo Masivo con cadencia" >> $LOG
fi
#=====================#
#= CONSULTAS A LA DB =#
#=====================#
echo "`date '+%Y-%m-%d %H:%M:%S'`: 5 .........CONSULTAS A LA DB" >> $LOG
# consulta para obtener el tiempo aleatorio 1
tmp1=$(mysql prosol -u $usu -p$cont -se "select w_emlparam.par_al1 from w_emlparam where w_emlparam.par_cod = "$1" limit 1")
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 6 El primer tiempo de la db es: $tmp1" >> $LOG
# consulta para obtener el tiempo aleatorio 2
tmp2=$(mysql prosol -u $usu -p$cont -se "select w_emlparam.par_al2 from w_emlparam where w_emlparam.par_cod = "$1" limit 1")
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 7 El segundo tiempo de la db es: $tmp2" >> $LOG
# consulta para obtener verificar si esta activo la opccion aleatorio entre destinatarios
ades=$(mysql prosol -u $usu -p$cont -se "select w_emlparam.par_alc from w_emlparam where w_emlparam.par_cod = "$1" limit 1")
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 8 Activo aleatorio entre destinatarios: $ades" >> $LOG
# consulta para obtener codigo de categoria
ccat=$(mysql prosol -u $usu -p$cont -se "select w_emlparam.cat_cod from w_emlparam where w_emlparam.par_cod = "$1" limit 1")
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 9 El codigo de categoria es: $ccat" >> $LOG
# consulta para obtener codigo de plantilla
cplan=$(mysql prosol -u $usu -p$cont -se "select w_emlparam.plan_cod from w_emlparam where w_emlparam.par_cod = "$1" limit 1")
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 10 El codigo de plantilla es: $cplan" >> $LOG
# consulta para obtener cuenta de remitente osea el que envia
crem=$(mysql prosol -u $usu -p$cont -se "select w_emlparam.cnts_cod from w_emlparam where w_emlparam.par_cod = "$1" limit 1")
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 11 El remitente es: $crem" >> $LOG
# consulta para obtener el archivo de carga
arcarg=$(mysql prosol -u $usu -p$cont -se "select w_emlparam.par_csv from w_emlparam where w_emlparam.par_cod = "$1" limit 1")
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 12 El nombre del archivo de carga es $arcarg" >> $LOG
# Obtenemos los parametros del servidor para enviar las cuentas de correo, primero realizamos la consulta
prmcon=($(mysql prosol -u $usu -p$cont --skip-column-names -e "select w_emlcnf.cnf_coetau, w_emlcnf.cnf_coenau, w_emlcnf.cnf_coetenc, w_emlcnf.cnf_coesrv, w_emlcnf.cnf_coeprt, w_emlcnf.cnf_coecc from w_emlcnf limit 1"))
# Activar para depurar
#echo ${cntcor[0]}
#echo ${cntcor[1]}
echo "`date '+%Y-%m-%d %H:%M:%S'`: 13 Primer parametro para cuentas de envio ${prmcon[0]}" >> $LOG
echo "`date '+%Y-%m-%d %H:%M:%S'`: 14 Segundo parametro para cuentas de envio ${prmcon[1]}" >> $LOG
echo "`date '+%Y-%m-%d %H:%M:%S'`: 15 Tercer parametro para cuentas de envio ${prmcon[2]}" >> $LOG
echo "`date '+%Y-%m-%d %H:%M:%S'`: 16 Cuarto parametro para cuentas de envio ${prmcon[3]}" >> $LOG
echo "`date '+%Y-%m-%d %H:%M:%S'`: 17 Quinto parametro para cuentas de envio ${prmcon[4]}" >> $LOG
echo "`date '+%Y-%m-%d %H:%M:%S'`: 18 Sexto parametro para cuentas de envio ${prmcon[5]}" >> $LOG
# EVALUACIONES #
# Evaluamos el segundo tiempo aleatorio, de ser vacio dejamos en cero
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 19 Segundo tiempo establecido en $tmp2" >> $LOG
# VALIDACION PARA OBTENER PLANTILLAS
echo "`date '+%Y-%m-%d %H:%M:%S'`: 20 Aleatorio entre destinatarios esta en estado $ades" >> $LOG
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 21 Ingresamos en evaluacion para obtener plantillas aleatorias" >> $LOG
# Evaluamos si el codigo de plantilla es vacio
if [[ $((cplan)) -eq 0 ]]
then
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 22 Entrando en segmento plantillas aleatorias" >> $LOG
	# De ser asi, dejamos variable de codigo con cero
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 23 Codigo de plantilla establecido $cplan" >> $LOG
	# Declaramos separador de espacios en tabulacion
	IFS="$( echo -e '\t' )"
	# Declaramos contador
	t=0
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 24 Contador de array de plantillas inicia en $t" >> $LOG
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 25 Ingresamos a bucle para obtener array de plantillas" >> $LOG
	# Obtenemos los mensajes y asuntos y almacenamos en array para luego utilizarlos,
	# para lograr esto, realizamos un wile que recorra las consultas devueltas por la db
	while read -a row
	do
		# Activar para depurar
		#echo "`date '+%Y-%m-%d %H:%M:%S'`: 26-$((regbu1=regbu1+1)) la primera celda obtenida del blucle de array plantillas es ${row[0]}"
		#echo "`date '+%Y-%m-%d %H:%M:%S'`: 26-$((regbu1=regbu1+1)) la segunda celda obtenida del blucle de array plantillas es ${row[1]}"
		#echo "`date '+%Y-%m-%d %H:%M:%S'`: 26-$((regbu1=regbu1+1)) la tercera celda obtenida del blucle de array plantillas es ${row[2]}"
		# De ser asi, asignamos valor a array de asunto
		arrcora[$t]=$(echo "${row[0]}")
		# Asignamos valor a array de mensajes
		arrcorm[$t]=$(echo "${row[1]}")
		# Aumentamos contador en uno
		# Asignamos valor a array de adjuntos
		arrcorad[$t]=$(echo "${row[2]}")
		# Aumentamos contador en uno
		((t=t+1))
	done < <(echo "select w_emlplan.plan_asn, w_emlplan.plan_msg, w_emlplan.plan_cod from w_emlplan where w_emlplan.cat_cod = $ccat order by rand() limit 100" | mysql prosol -u $usu -p$cont --skip-column-names)
	# Regresamos a la variable separados de espacios a su normalidad
	unset IFS
	# Activar solo para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 27 El array de asuntos es" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: ${arrcora[@]}" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 28 El array de mensajes es" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: ${arrcorm[@]}" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 29 El array de adjuntos es" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: ${arrcorad[@]}" >> $LOG
	# De lo contrario
else
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 30 Entrando en segmento plantilla definida" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 31 Codigo de plantilla es $cplan" >> $LOG
	#Obtenemos el mensaje establecido mediante consulta a la base de datos, primero
	# declaramos separador de espacios en tabulacion
	IFS="$( echo -e '\t' )"
	# Declaramos contador
	t=0
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 32 Contador de plantillas inciado en $t" >> $LOG
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 33 Ingresamos a bucle para obtener array de plantillas" >> $LOG
	# Obtenemos los mensajes y asuntos y almacenamos en array para luego utilizarlos,
	# para lograr esto, realizamos un while que recorra las consultas devueltas por la db
	while read -a rowm
	do
		# Activar para depurar
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 34-$((regbu2=regbu2+1)) La primera celda obtenida del bucle de array de plantillas es ${rowm[0]}" >> $LOG
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 34-$((regbu2=regbu2+1)) La segunda celda obtenida del bucle de array de plantillas es ${rowm[1]}" >> $LOG
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 34-$((regbu2=regbu2+1)) La tercera celda obtenida del bucle de array de plantillas es ${rowm[1]}" >> $LOG
		# De ser asi, asignamos valor a array de asunto
		arrcora[$t]=$(echo "${rowm[0]}")
		# Asignamos valor a array de mensajes
		arrcorm[$t]=$(echo "${rowm[1]}")
		# Asignamos valor a array de adjuntos
		arrcorad[$t]=$(echo "${rowm[2]}")
		# Aumentamos contador en uno
		((t=t+1))
	done < <(echo "select w_emlplan.plan_asn, w_emlplan.plan_msg, w_emlplan.plan_cod from w_emlplan, w_emlparam where w_emlparam.plan_cod = w_emlplan.plan_cod and w_emlplan.plan_cod = "$cplan" limit 1" | mysql prosol -u $usu -p$cont --skip-column-names)
	# Regresamos a la variable separados de espacios a su normalidad
	unset IFS
	# Activar solo para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 35 El array de asuntos es" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: ${arrcora[@]}" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 36 El array de mensajes es" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: ${arrcorm[@]}" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 37 El array id's de adjuntos es" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: ' ${arrcorad[@]} ' " >> $LOG
fi
# Contamos la cantidad de items que tiene el archivo de mensajes aleatorios y almacenamos en variable
NAME_M=arrcora
tmp_m="${NAME_M}[@]"
copy_m=( "${!tmp_m}" )
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 38 La cantidad de elementos en el array resultante es ${#copy_m[@]}" >> $LOG
# Almacenamos resultado de la cantidad de elementos del array a variable
nmenenv=`echo ${#copy_m[@]}`
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 39 La cantidad de elementos en el array de mensajes es $nmenenv" >> $LOG

# VALIDACIONES PARA OBTENER ARRAY DE ADJUNTOS
echo "`date '+%Y-%m-%d %H:%M:%S'`: 40 Segmento para obtener array de adjuntos" >> $LOG
# Declaramos contador
h=0
# Realizamos un bucle que recorra cada id de adjunto y cree un array segun el nombre
# del registro de cada array
echo "`date '+%Y-%m-%d %H:%M:%S'`: 41 Entrando a bucle de array adjuntos" >> $LOG
for v in "${arrcorad[@]}"
do
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 42-$((regbu3=regbu3+1)) El id de adjunto que estamos recorriendo es $v" >> $LOG
	# Establecemos el nombre 
	arrad=arrcoraad$v
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 42-$((regbu3=regbu3+1)) El nombre del array de adjuntos establecidos es $arrad" >> $LOG
	# Realizamos un bucle que ejecute una consutla de mysql con cada id de plantilla
	while read -a rowa
	do
		# Activar para depurar
		echo "`date '+%Y-%m-%d %H:%M:%S'` 42-$((regbu3=regbu3+1))-$((regbu4=regbu4+1)) recorriendo id de plantilla ${rowa[0]}"
		# Declaramos variable de inicio
		ini='--attach '
		# Declaramos variable de espacios
		spc=' '
		# Establecemos el valor del array creado con el valor del indice, pero
		# creando la cadena de adjunto
		eval "$arrad[h]+='$ini'$(echo ${rowa[0]})"'$spc'
	done < <(echo "select w_emladjar.aar_rut from w_emladjar,w_emlplan where w_emladjar.plan_cod = w_emlplan.plan_cod and w_emladjar.plan_cod = $v order by rand() limit 100" | mysql prosol -u $usu -p$cont --skip-column-names)
	# Aumentamos contador en uno
	((h=h+1))
done
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 43 El contenido del array de adjuntos es ${!arrad[0]}" >> $LOG
echo "`date '+%Y-%m-%d %H:%M:%S'`: 44 Entrando en segmento para obtener correos enviadores" >> $LOG
# VALIDACION PARA OBTENER CORREOS ENVIADORES
# Evaluamos si la cuenta de remitente osea el correo que envia es vacia
if [[ $((crem)) -eq 0 ]]
then
	# De ser asi, establecemos la variable correo de enviadores en cero
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 45 Cuenta de remitente vacio" >> $LOG
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 46 Obtenemos array de correos enviadores" >> $LOG
	# Obtenemos los correos y almacenamos en array para luego utilizarlos
	cntcor=$(mysql prosol -u $usu -p$cont --skip-column-names -e "select w_emlcnts.cnts_coeusu, w_emlcnts.cnts_coecnt from w_emlcnts order by rand() limit 25;")
			# Antigua forma de recorrer todos los items del array y asignarlos a otro array
			# arrcor=($(for e in $cntcor ; do echo $e ; done))
			# echo ${arrcor[@]}
	# Declaramos 1er contador 
	t=0
	# Declaramos 2do contador
	u=0
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 46 contador de registro incia en $t y contador de contraseñas inicia en $u" >> $LOG
	for e in $cntcor
	do
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 47-$((regbu5=regbu5+1)) Incio bucle array correos enviadores" >> $LOG
		# Activar para depurar
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 47-$((regbu5=regbu5+1)) Valor actual del item es $e" >> $LOG
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 47-$((regbu5=regbu5+1)) El 1er registro es $u" >> $LOG
		# Evaluamos en que estado se encuentra el contador de registro secundario, si es cero
		if [[ $((t)) -eq 0 ]]
		then
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 47-$((regbu5=regbu5+1)) Entro aumentar registro array usuarios" >> $LOG
			# De ser asi, asignamos valor a array de usuarios
			arrcoru[$u]=$(echo $e)
			# Activar para depurar
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 47-$((regbu5=regbu5+1)) usuario asignado es $e" >> $LOG
			# aumentamos contador del registro secundario
			((t=t+1))
			# Activar para depurar
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 47-$((regbu5=regbu5+1)) contador de registro es usuario es $t" >> $LOG		
		# De lo contrario
		else
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 47-$((regbu5=regbu5+1)) Entro contador registra array contraseñas" >> $LOG
			# Asignamos valor a array de contraseñas
			arrcorp[$u]=$(echo $e)
			# Activar para depurar
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 47-$((regbu5=regbu5+1)) contraseña asignada es $e" >> $LOG	
			# Reestablecemos el valor de la variable contadora
			t=0
			# aumentamos contador del registro secundario
			((u=u+1))
			# Activar para depurar
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 47-$((regbu5=regbu5+1)) contador de registro de contraseña es $u" >> $LOG
		fi
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 47-$((regbu5=regbu5+1)) Fin bucle array correos enviadores" >> $LOG
	done
	# Activar solo para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 48 El usuario de los correos enviadores es" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: ${arrcoru[@]}" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 49 La contraseña de los correos enviadores es" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: ${arrcorp[@]}" >> $LOG
# De lo contrario
else
	#Obtenemos el correo establecido mediante consulta a la base de datos
	cntcor=($(mysql prosol -u $usu -p$cont --skip-column-names -e "select w_emlcnts.cnts_coeusu, w_emlcnts.cnts_coecnt from w_emlparam, w_emlcnts where w_emlparam.cnts_cod = w_emlcnts.cnts_cod and w_emlcnts.cnts_cod = "$crem" limit 1"))
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 50 El array resultante de la consulta para los correos enviadores es ${cntcor[@]}" >> $LOG
	arrcoru[0]=$( echo ${cntcor[0]} )
	arrcorp[0]=$( echo ${cntcor[1]} )
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 51 El usuario del correo enviador es" >> $LOG	
	echo "${arrcoru[0]}" >> $LOG
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 52 La contraseña del correo enviador es" >> $LOG
	echo "${arrcorp[0]}" >> $LOG
fi
# Contamos la cantidad de items que tiene el archivo de correos enviadores y almacenamos en variable
NAME_C=arrcoru
tmp_c="${NAME_C}[@]"
copy_c=( "${!tmp_c}" )
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 53 Cantidad elementos en array resultante correos enviadores ${#copy_c[@]}" >> $LOG
# Almacenamos resultado de la cantidad de elementos del array a variable
ncorenv=`echo ${#copy_c[@]}`
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 54 cantidad elementos en variable resultante correos enviadores $ncorenv" >> $LOG
# Contamos la cantidad de lineas que tiene el archivo de carga
lin=$(awk '{d++}END{print d}' temporal/$arcarg)
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 55 Cantidad lineas en archivo cargaS $lin" >> $LOG
#==========================
# INICIO METODO ALEATORIO 1
#==========================
echo "`date '+%Y-%m-%d %H:%M:%S'`: ........INICIO METODO ALEATORIO1" >> $LOG
# Declaramos array vacio que sera el array resultante final
resul=()
# Declaramos contador de registros 
x=1
echo "`date '+%Y-%m-%d %H:%M:%S'`: 56 Variable contador registros $x" >> $LOG
# Obtenemos fecha actual en formato unix con milisegundos
#fech_a=`date +%d%m%Y`
fech_a=`date +%s%3N`
# Establecemos el archivo log
# Eliminamos la carpeta de procesamiento rand en caso exista
rm -rf "rand_$fech_a_${arcarg%.*}"
# Creamos carpeta temporal para procesar el archivo pero sin la extension del archivo de carga
mkdir "rand_$fech_a_${arcarg%.*}"
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 57 Carpeta aleatoria creada es rand_$fech_a_${arcarg%.*}" >> $LOG
# Realizamos una copia del archivo a editar
cp -r temporal/$arcarg "rand_$fech_a_${arcarg%.*}/$arcarg.rand"
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 58 archivo carga $arcarg copiado con nuevo nombre a rand_$fech_a_${arcarg%.*}/$arcarg.rand" >> $LOG
# ingresamos a la carpeta creada
cd "rand_$fech_a_${arcarg%.*}"
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 59 Ingresamos a carpeta creada, la nueva ruta en la que estamos es `pwd`" >> ../$LOG
# Dividimos el archivo en fragmentos de 500 cada uno
split -a 4 -dl 500 $arcarg.rand rnd
# Eliminamos el archivo copiado
rm -rf $arcarg.rand
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 60 archivo carga dividido en fragmentos, eliminando archivo anteriormente copiado $arcarg.rand, ya no se usara" >> ../$LOG
# contamos la cantidad de archivos que hay en la carpeta creada
cntfil=`echo $(ls -1 | wc -l)`
# Activar para depurar
echo "`date '+%Y-%m-%d %H:%M:%S'`: 61 cantidad archivos fragmentos creados en la carpeta: $cntfil" >> ../$LOG
# Declaramos contador
j=0
# retrocedemos un directorio
cd ..
echo "`date '+%Y-%m-%d %H:%M:%S'`: 62 Regresamos a directorio anterior, la nueva ruta en la que estamos es `pwd`" >> $LOG
# Realizamos while que recorra todos los archivos contados
echo "`date '+%Y-%m-%d %H:%M:%S'`: 63 ENTRANDO BUCLE ALEATORIO" >> $LOG
while [ 0 -ne $cntfil ]
do
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: ........INICIA BLUCLE LINEAS" >> $LOG
	# Construimos el nombre del primer pedazo del archivo de carga, primero
	# rellenamos con cero el contador hasta el limite deseado
	nord=`echo $(printf "%04.0f" $j)`
	# Luego lo unimos al prefijo de pedazo de archivo
	parccar="rnd$nord"
	# Activar para depurar
	#echo "el fragmento de archivo es $parccar"
	# Contamos la cantidad de lineas que tiene el archivo de carga
	plin=$(awk '{x++}END{print x}' rand_$fech_a_${arcarg%.*}/$parccar)
	# Activar para depurar
	echo "`date '+%Y-%m-%d %H:%M:%S'`: 64-$((regbu6=regbu6+1)) Cantidad de lineas del pedazo de carga seleccioado es $plin" >> $LOG
	# Establecemos el numero de registros del archivo en variable
	nreg=$plin
	# Declaramos un while que recorra hasta la cantidad de registros que existen
	# en el pedazo del archivo de carga
	while [ 0 -ne $nreg ]
	do
		echo "`date '+%Y-%m-%d %H:%M:%S'`: .........INICIA BUCLE PEDAZO" >> $LOG
		# Activar para depurar
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) El contador de bucle del pedazo esta en: $nreg" >> $LOG
		# Activar para depurar
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) El numero de mensaje que estamos enviando y contador general de envio es el $x" >> $LOG
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Entramos evaluacion aleatorios entre mensajes" >> $LOG
		# Evaluamos si se activo la opccion de aleatorio entre mensajes
		if [[ $((ades)) -eq 0 ]] 
		then
			# Activar para depurar
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) No se activo aleatorio entre mensajes" >> $LOG
			#Seguimos la secuencia, pero recordar que siempre elimino la primera linea
			# y la segunda linea se convierte en la primera, por lo tanto, siempre tengo
			# que leer la primera linea, entonces el contador siempre sera uno
			nran=1
		# De lo contrario
		else
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Activo aleatorio entre mensajes" >> $LOG
			# si es asi, generamos un numero aleatorio segun los parametros limites
			nran=`echo $(((RANDOM % $nreg)+1))`
			# Activar para depurar
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Numero aleatorio generado para mensaje es $nran" >> $LOG
		fi
		# Asignamos contenido de la linea extraida a la variable
#		resul[$x]=`echo $(head -${nran} rand_$fech_a_$arcarg/$parccar | tail -1) | sed 's/.$//'`
		# Activar para depurar
#		echo $(head -${nran} $arcarg".rand" | tail -1)
		# Leemos la linea que nos interesa
		reg=$(head -${nran} rand_$fech_a_${arcarg%.*}/$parccar | tail -1)
		# Dividimos la linea en nombre y correo destinatario
		cor=$(echo $reg | cut -d ',' -f1 | sed 's/\r//')
		nom=$(echo $reg | cut -d ',' -f2 | sed 's/\r//')
		imp=$(echo $reg | cut -d ',' -f3 | sed 's/\r//')
		tlf=$(echo $reg | cut -d ',' -f4 | sed 's/\r//')
		drc=$(echo $reg | cut -d ',' -f5 | sed 's/\r//')
		# Activar para depurar
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Nombre y Correo destinatarios son" >> $LOG
		echo "`date '+%Y-%m-%d %H:%M:%S'`: $cor" >> $LOG
		echo "`date '+%Y-%m-%d %H:%M:%S'`: $nom" >> $LOG
		# Generamos numero aleatorio para obtener correo enviador
		cenvr=`echo $(((RANDOM % $ncorenv)))`
		# Activar para depurar
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Id random generado para correo enviador es $cenvr" >> $LOG
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Correo enviador elegido es ${arrcoru[$cenvr]}" >> $LOG
		# Generamos numero aleatorio para obtener mensaje a enviar
		menvr=`echo $(((RANDOM % $nmenenv)))`
		# Activar para depurar
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Id random generado para mensaje $menvr" >> $LOG
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Asunto y mensaje elegidos '${arrcora[$menvr]}' y '${arrcorm[$menvr]}'" >> $LOG
		# Activar para depurar, mando a un archivo separado para saber que estoy reemplazando
		echo $cor >> rand_$fech_a_${arcarg%.*}/reemplazo.log
		echo $nom >> rand_$fech_a_${arcarg%.*}/reemplazo.log
		echo $imp >> rand_$fech_a_${arcarg%.*}/reemplazo.log
		echo $tlf >> rand_$fech_a_${arcarg%.*}/reemplazo.log
		echo $drc >> rand_$fech_a_${arcarg%.*}/reemplazo.log
		# Sustituimos las variables de la plantilla por los valores deseados
		asn=`echo "${arrcora[$menvr]}" | sed 's/((Titular))/'"$nom"'/'`
		msg1=`echo "${arrcorm[$menvr]}" | sed 's/((Titular))/'"$nom"'/'`
##		asn=`echo "${arrcora[$menvr]}" | sed 's/((Correo))/'"$cor"'/'`
##		msg=`echo "${arrcorm[$menvr]}" | sed 's/((Correo))/'"$cor"'/'`
		# Activar para depurar
		#echo $msg1 >> reemplazo.log
		# Activar para depurar
		#echo "|" >> reemplazo.log
		msg2=`echo "$msg1" | sed 's/((Direccion))/'"$drc"'/'`
		# Activar para depurar
		#echo $msg2 >> reemplazo.log
		# Activar para depurar
		#echo "|" >> reemplazo.log
		msg3=`echo "$msg2" | sed 's/((Importe))/'"$imp"'/'`
		# Activar para depurar
		#echo $msg3 >> reemplazo.log
		# Activar para depurar
		#echo "|" >> reemplazo.log
		msg=`echo "$msg3" | sed 's/((Telefono))/'"$tlf"'/'`
		# Activar para depurar
		#echo $msg4 >> reemplazo.log
		# Activar para depurar
		#echo "|" >> reemplazo.log
		# Activar para depurar
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Mensaje y asunto con variables reemplazadas son:" >> $LOG
		echo "`date '+%Y-%m-%d %H:%M:%S'`: $asn" >> $LOG
		echo "`date '+%Y-%m-%d %H:%M:%S'`: $msg" >> $LOG
		# Establecemos el nombre del array seleccionado
		arradj=arrcoraad${arrcorad[menvr]}
		# Activar para depurar
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Nombre array de adjuntos $arradj" >> $LOG
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Contenido array de adjuntos ${!arradj[menvr]}" >> $LOG
		# Enviamos los correos segun los parametros obtenidos
		# Activar para depurar
#		smtp-cli --verbose --host ${prmcon[3]} --port ${prmcon[4]} --user ${arrcoru[$cenvr]} --pass ${arrcorp[$cenvr]} --from "Prosol - Servicio Al Cliente<${arrcoru[$cenvr]}>" --to "$nom<$cor>" --cc ${prmcon[5]} --subject "$asn" --body-html "$msg" eval ${!arradj[menvr]} | grep "235"
#		echo "smtp-cli --verbose --host ${prmcon[3]} --port ${prmcon[4]} --user ${arrcoru[$cenvr]} --pass ${arrcorp[$cenvr]} --from 'Prosol - Servicio Al Cliente<${arrcoru[$cenvr]}>' --to '$nom<$cor>' --cc ${prmcon[5]} --subject '$asn' --body-html '$msg' eval ${!arradj[menvr]} | grep '235'" >> $LOG
#		smtp-cli --verbose --host 192.168.1.222 --port 587 --user mlopez@effinet.com.pe --pass te5839525 --from "prosol<mlopez@effinet.com.pe>" --to "$nom<$cor>" --subject "$asn" --body-html "$msg" eval ${!arradj[menvr]} | grep "235"
#		smtp-cli --verbose --host 192.168.1.222 --port 587 --user mlopez@effinet.com.pe --pass te5839525 --from "prosol<mlopez@effinet.com.pe>" --to "hola<mlopez@effinet.com.pe>" --subject "asd" --body-html "asd" --attach "adjunto/2017-01-26-07-43-50adj_GetMDRCD[1].aspx" | grep "235"
		cmd=$(smtp-cli --verbose --host ${prmcon[3]} --port ${prmcon[4]} --user ${arrcoru[$cenvr]} --pass ${arrcorp[$cenvr]} --from "Prosol - Servicio Al Cliente<${arrcoru[$cenvr]}>" --to "$nom<$cor>" --cc ${prmcon[5]} --subject "$asn" --body-html "$msg" eval ${!arradj[menvr]} | grep "235")
		# Activar para depurar
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) ....El resultado del comando de envio es: $cmd" >> $LOG
		# Almacenamos en variable
		cmd_est=`echo "$cmd"`
		# Eliminamos la linea leida
		sed -i "$nran d" rand_$fech_a_${arcarg%.*}/$parccar
		# Disminuimos los registros en uno
		((nreg=nreg-1))
		# Activar para depurar
		#echo "el primer valor del array es ${resul[x]}"
		#echo "el primer indice del array es ${!resul[x]}"
		echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) ....Entramos evaluacion de tiempo entre mensajes $nran" >> $LOG
		# Validamos si el segundo valor de tiempo es vacio y si esta activo el modo masivo con cadencia
		if [[ $x -eq $lin ]]
		then
			# Si el numero de registros es igual a la cantidad de lineas del archivo, finalizamos el blucle
			echo "`date '+%Y-%m-%d %H:%M:%S'`: FINALIZA BLUCLE PEDAZO - ULTIMO DE REGISTRO" >> $LOG
			break
		# De lo contrario si aun no terminamos la serie
		elif [[ $((tmp2)) -eq 0 && $2 -eq 2 ]]
		then
			# De ser asi no utilizamos segundo parametro de tiempo
			# Activar para depurar
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Modo masivo sin cadencia, se toma como tiempo de espera el primer tiempo" >> $LOG
			# Activar para depurar
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) El tiempo de espera es $tmp1" >> $LOG
			# Registramos en log de envio el mensaje enviado
			echo "`date '+%Y-%m-%d %H:%M:%S'` | destinatario: $cor | remitente: ${arrcoru[$cenvr]} | asunto: $asn | estado: $cmd | esperando: $tmp1" >> $LOGe
			# Esperamos la cantidad de tiempo necesaria segun la variable actual
			sleep $tmp1
		# De lo contrario si esta activo el modo masivo con cadencia
		elif [[ $2 -eq 2 ]]
		then
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Modo masivo con cadencia" >> $LOG
			# Activar para depurar
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) El primer tiempo es $tmp1" >> $LOG
			# Sumamos 1 al segundo tiempo para obtener el rango con cero
			tmpaum=$((tmp2+1))
			# Activar para depurar
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Segundo tiempo aumentado en uno es $tmpaum" >> $LOG
			# Realizamos calculo matematico para obtener el numero de cadencia,
			# Primero obtenemos el numero random entre cero y el segundo tiempo
			nran=$(( RANDOM % $tmpaum ))
			# Activar para depurar
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Numero aleatorio obtenido con limite del segundo tiempo es $nran" >> $LOG
			# Luego realizamos la operacion matematica para finalmente obtener el numero ramdom
			tmp_r=$((tmp1*(1+nran)))
			# Activar para depurar
			echo "`date '+%Y-%m-%d %H:%M:%S'`: 65-$((regbu7=regbu7+1)) Tiempo de espera obtenido al realizar el calculo matematico es $tmp_r" >> $LOG
			# Registramos en log de envio el mensaje enviado
			echo "`date '+%Y-%m-%d %H:%M:%S'` | destinatario: $cor | remitente: ${arrcoru[$cenvr]} | asunto: $asn | estado: $cmd1 | esperando: $tmp_r" >> $LOGe
			# Esperamos la cantidad de tiempo necesaria segun la variable actual
			sleep $tmp_r
		fi
		# Aumentamos el contador en uno
		((x=x+1))
		echo "`date '+%Y-%m-%d %H:%M:%S'`: FINALIZA BUCLE PEDAZO" >> $LOG
		echo $((asde=asde+1))
	done
# Aumentamos contador de numero de archivo en uno
((j=j+1))
# Disminuimos contador de pedazo de archivo en uno
((cntfil=cntfil-1))
echo "`date '+%Y-%m-%d %H:%M:%S'`: FINALIZA BUCLE LINEAS" >> $LOG
done
# movemos la carpeta la ruta de archivos creados
mv rand_$fech_a_${arcarg%.*} masivo
#echo "El array resultante es"
#echo ${resul[@]}
# Activar para depurar (imprimme indice y contenido de indice)
#for i in "${!resul[@]}"; do
#  printf '${resul[%s]}=%s\n' "$i" "${resul[i]}"
#done
#echo ${!resul[@]}
# Activar para depurar, cuenta la cantidad de items en array
NAME=resul
tmp="${NAME}[@]"
copy=( "${!tmp}" )
echo "`date '+%Y-%m-%d %H:%M:%S'`: 66 La cantidad de elementos en el array resultante es ${#copy[@]}" >> $LOG
echo "`date '+%Y-%m-%d %H:%M:%S'`: =================TERMINO==================" >> $LOG
exit
