<?php
/*Comprobamos que el usuario inicio sesion para ello evaluamos la variable de sesion,
si esta es diferente de uno*/
if (!isset($_SESSION["auten"]) || isset($_SESSION["auten"]) && $_SESSION["auten"] != "1") {
	/*Enviamos a portalcli para iniciar sesion*/
	header("Location: inipor.php");
	/*Terminamos la ejecucion del codigo*/
	exit();
}
/*Realizamos una evaluacion para verificar en que parte
se encuentra el usuario*/
switch(true){
	/*Caso calculadora*/
	case (isset($secc) && $secc=="calc"):
		/*Si no esta establecida la variable de sesion con el saldo inicial
		o la variable de sesion con el saldo inicial es igual de vacio*/
		if(!isset($_SESSION["tddeu"]) || isset($_SESSION["tddeu"]) && $_SESSION["tddeu"] == "" ){
			/*Refireccionamos nuevamente a calculadora*/
			header("Location: infosecur.php");
		}
		break;
	/*Caso refinanciar*/
	case (isset($secc) && $secc=="ref"):
		/*Si no esta establecida la variable de sesion con el saldo actualizado
		o la variable de sesion con el saldo actualizado es igual de vacio*/
		if(!isset($_SESSION["t_deu_actmt"]) || isset($_SESSION["t_deu_actmt"]) && $_SESSION["t_deu_actmt"] == "" ){
			/*Refireccionamos nuevamente a calculadora*/
			header("Location: calculadora.php");
		}
		break;
	/*Caso ofertar*/
	case (isset($secc) && $secc=="prt"):
		/*Si no esta establecida la variable de sesion con el saldo actualizado
		o la variable de sesion con el saldo actualizado es igual de vacio*/
		if(!isset($_SESSION["t_deu_actmt"]) || isset($_SESSION["t_deu_actmt"]) && $_SESSION["t_deu_actmt"] == "" ){
			/*Refireccionamos nuevamente a calculadora*/
			header("Location: refinanciar.php");
		}
		break;
}
?>
